Bug 49881 - VML Autoshapes created in MS Office not imported at all in LO 3.5.3, FILEOPEN, FORMATTING
Summary: VML Autoshapes created in MS Office not imported at all in LO 3.5.3, FILEOPEN...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:docx
Depends on:
Blocks: OOXML-2007 VML-Textbox
  Show dependency treegraph
 
Reported: 2012-05-13 13:26 UTC by Rahul Singh
Modified: 2022-09-30 03:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Figures created using MS Word autoshapes do not import at all in LO (64.93 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-05-13 13:26 UTC, Rahul Singh
Details
Test document in LO 3.6.1.2 (217.90 KB, application/pdf)
2012-08-29 17:14 UTC, Lekow
Details
Test document in 4.1.0.0.alpha0+ (139.03 KB, application/pdf)
2013-01-03 00:39 UTC, Ruslan Kabatsayev
Details
Test document in Word 2010 (684.08 KB, application/pdf)
2014-02-20 18:16 UTC, Alexandr
Details
Stripped down test document (32.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-13 04:21 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rahul Singh 2012-05-13 13:26:15 UTC
Created attachment 61580 [details]
Figures created using MS Word autoshapes do not import at all in LO

The attached document has three different figures created with auto shapes. LO does not import any of the figures at all. This problem appears specific to Autoshapes in .DOCX format.
Comment 1 madmuffin 2012-06-02 04:12:55 UTC
confirmed using LO 3.5.3 on Linux amd64.
Comment 2 Lekow 2012-08-29 17:14:53 UTC
Created attachment 66283 [details]
Test document in LO 3.6.1.2

The bug is confirmed in LO 3.6.1.2 under Windows 7 SP1 32 bit.
The position of some shapes is VERY strange. Some of them are shown as rectangles and some of them are missed.
I've attached the PDF.
Comment 3 Ruslan Kabatsayev 2013-01-03 00:39:29 UTC
Created attachment 72409 [details]
Test document in 4.1.0.0.alpha0+

The symptoms have changed since comment 2, and now this bug seems to be solved (i.e. the shapes *are* imported), still leaving us with bug 49260 (imported, but in wrong place).
Tested in Version 4.1.0.0.alpha0+ (Build ID: ca3aba4cdf766cf33b0dbbe495c9e6f57f06982)
Comment 4 Alexandr 2014-02-20 18:16:57 UTC
Created attachment 94451 [details]
Test document in Word 2010

The situation is much better in LibreOffice 4.1.4: the shapes are on correct places. But I see a problem with arrows: on page 5 they have incorrect direction in top figure and are not imported for bottom figure. I attach a pdf from word 2010 which shows how the document should be represented. Also, I see bug 70942.
Comment 5 Alexandr 2014-08-18 08:49:48 UTC
Still reproducible as described in the previous comment with LibreOffice 4.2.5 and 4.3.1.1 on Debian. I decrease importance of the bug, because now the situation is not so bad as in the initial description.
Comment 6 Alexandr 2015-05-24 11:34:59 UTC
Reproducible with LibreOffice 5.0.0.0beta1 on Debian.
Comment 7 Robinson Tryon (qubit) 2015-12-13 12:18:24 UTC Comment hidden (obsolete)
Comment 8 Telesto 2016-12-09 11:35:18 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-12-10 16:39:07 UTC Comment hidden (obsolete)
Comment 10 Luke 2018-02-13 04:21:34 UTC
Created attachment 139850 [details]
Stripped down test document

Stripped down version to demonstrate the issues. This is likely a VML issue. When file is upgraded to OOXML, the shapes are correctly imported.

Reproducible in Version: 6.1.0.0.alpha0+ (x64)
Build ID: 3deac9691011711a3b9e50d19499c588af074d7f
Comment 11 QA Administrators 2019-02-14 03:49:50 UTC Comment hidden (obsolete)
Comment 12 Luke 2019-02-14 06:26:51 UTC
repo in Version: 6.3.0.0.alpha0+
Build ID: 45f4de6d333aa3fa5873cf8e1146286c74960557
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win;
Comment 13 QA Administrators 2022-09-30 03:53:33 UTC
Dear Rahul Singh,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug